← Back to the RFC register
WEKID-RFC-009 The core Open

Recording the Binding Determinant

Cross-layer
Stage
 Public comment
Governance surface
The core
Type
Standards-track
Proposed by
Jim Judge
Target release
WEKID-STD-001 v1.2
Requires
4 of 4 — this is the fourth RFC in the set. Set includes RFC 006, 007, 008 in submission order, so ID order and sequence agree. They are formally independent and the Council may take them in any order. See §3 Scope.

Abstract

This RFC proposes two additive fields: binding_limit, naming the determinant that bound, and governing_condition, naming the §9.2 precedence condition recorded as governing. Both are derivable from a resolution the implementation already performs. Neither changes any outcome. Together they make a portfolio-level question answerable that is currently answerable only by re-reading individual rationales.

§7.3 requires the effective authority outcome to be the more conservative of the maturity ceiling and the stakes floor. §12.2 requires a deployment to retain enough evidence to reconstruct why an Authority Level was assigned. Annex C’s minimum verdict contract records the assigned level, the layer scores, the gates and the reservations — but no field identifies which of the two determinants produced the level.

Evidence base

The Standard should change because it requires a reconstruction it does not equip. §12.2 is explicit that a conforming deployment retains enough evidence to reconstruct why a level was assigned; the minimum contract omits the single fact that most directly answers that question. The gap is small and the remedy is two rows.
The change belongs to the Core surface because the verdict contract is the interface across which conformance is assessed. A calibration profile may add fields under the existing MAY-extend provision, but a field that only some deployments carry cannot be relied on by an assessor, an auditor or a GRC integration — which is precisely why the minimum contract exists.
Now, because the cost of adding a field to a contract rises with the number of implementations carrying it, and because the analytical value compounds: a portfolio needs several quarters of pinned verdicts before determinant trends are readable at all.
Scope. This RFC addresses the minimum verdict contract only. It does not alter the resolution it records, the required evaluation package of §12.1, or the audit-trail obligations of §12.2. Gate classification is WK-CORE-RFC-005; the precedence tie-break is WK-CORE-RFC-003; the decay outcome is WK-CORE-RFC-004. It is submitted last of the four because it records what the resolution machinery produced, and the set of outcomes that machinery can produce is settled by the three proposals ahead of it. The provision is coherent whatever the Council decides on those three; taking it last simply means the field definitions are written once against a known resolver.

The gap is demonstrable by reading Annex C against §7.3 and §12.2: the contract carries maturity_score, gates, stakes_reservations, authority_level and rationale, and no field naming which determinant bound.
It was surfaced during the build of the eighteen-module WEKID Training Programme. Module 9 teaches conservative resolution and the practice of recording which limit bound — and has to ground that practice in §12.2 reconstructability and §12.1’s structured rationale, because no field exists to point at.
Supporting material available to the working group:
• The findings register, item S7.
• Module 9 of the training programme, which teaches the practice and names the absent field.
• Module 14, which reproduces the full Annex C contract and works a complete verdict field by field.

Where this proposal stands

  • Proposed · 2026-09-21 00:17:41
    Submitted by Jim Judge
  • Triaged · 2026-09-21 00:18:33
  • Working-group review · 2026-09-21 00:18:35
  • Public comment · 2026-09-21 00:19:16
  • Council decision
  • Versioned release

Public comment

Open until 2026-10-20 20:19:16. Comments are reviewed before they appear.

Every proposal moves through the same six-stage pipeline. See how the RFC process works.